Development/Languages/Ruby/Ruby-Qt/KDE Book/Installation/Installation on Linux

< Development‎ | Languages‎ | Ruby‎ | Ruby-Qt/KDE Book
Revision as of 22:07, 19 January 2010 by Robert Riemann (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
100%
 
noframe

10% completed (estimate)

  

Status Of Writing


In comparison to the installation process on Microsoft Windows or Apple Mac OS you have to deal with the fact, that there are a lot of different Linux-based operating systems. So there are also different ways to setup your environment for kdebindings.

First you should check before starting to install something if your Linux distribution has ruby and/or the bindings preinstalled.

Test Installation

Start a shell on your Linux system and type and try to get the version of your ruby installation. In the case of a working ruby installation you get something like this.

> ruby -v ruby 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]

Maybe the Qt/KDE bindings are installed, too. For a quick check, enter irb in a shell to start the interactive ruby-shell. Try to load the bindings.

require "Qt4" => true require "korundum4" => true

You can load bindings for KDE4 (korundum4) or only Qt4 by a require. Later you won't need to load Qt4 first when using KDE4, because on requiring KDE4 everything needed is loaded automatically.

If you got it so far you seems to have a working environment.

Installation

Installation of ruby

If you haven't ruby installed, you have two different ways to get it.

  1. using the distribution package manager to install ruby automatically
  2. install ruby manually from source.

I recommend the first way.


KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal